## GntLine

GntLine — A widget that draws a horizontal or vertical line

## Functions

#define | GNT_LINE_FLAGS()
#define | GNT_LINE_SET_FLAGS()
#define | GNT_LINE_UNSET_FLAGS()
GType | gnt_line_get_gtype ()
#define | gnt_hline_new
#define | gnt_vline_new
GntWidget * | gnt_line_new ()

## Types and Values

struct | GntLine
| GntLinePriv

## Description

## Functions

### GNT_LINE_FLAGS()

    #define             GNT_LINE_FLAGS(obj)

`GNT_LINE_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_LINE_SET_FLAGS()

    #define             GNT_LINE_SET_FLAGS(obj, flags)

`GNT_LINE_SET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_LINE_UNSET_FLAGS()

    #define             GNT_LINE_UNSET_FLAGS(obj, flags)

`GNT_LINE_UNSET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### gnt_line_get_gtype ()

    GType
    gnt_line_get_gtype (void);

#### Returns

GType for GntLine.

### gnt_hline_new

    #define             gnt_hline_new()

### gnt_vline_new

    #define             gnt_vline_new()

### gnt_line_new ()

    GntWidget *
    gnt_line_new (gboolean vertical);

Create new line

#### Parameters

vertical | `TRUE` if the line should be vertical, `FALSE` for a horizontal line. |

#### Returns

The newly created line.

## Types and Values

### struct GntLine

    struct GntLine {
    	GntWidget parent;

    	gboolean GNTSEAL(vertical);
    };

Access to any fields is deprecated. See inline comments for replacements.

### GntLinePriv

    typedef struct _GntLinePriv GntLinePriv;

`GntLinePriv` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.